Subject: Re: bnx2 dirver's firmware images

From: maximilian attems <[email-masked]>
Date: Wed, 19 Sep 2007 18:33:18 +0200

On Tue, 18 Sep 2007, Michael Chan wrote:

> The bnx2 firmware changes quite frequently.  A new driver quite often
> requires new firmware to work correctly.  Splitting them up makes things
> difficult for the user.

sorry didn't check, what's the license of the firmware?
 
> The firmware in tg3 is a lot more mature and I don't expect it to
> change.  I think tg3 is better suited for using request_firmware().

well thanks that would help us a lot,
we have to strip the firmware for Debian for the upcoming Lenny release.
as the shipping exception for the previous 2 releases will not be granted
again. so a separate firmware would be great. also afaik only some boards
need it. it is a pressing need for us as tg3 with stripped firmware of
course doesn't build.

-- 
maks